Skip to content

Queue a selected Blueprint plan application and return operation progress.

POST
/api/workspace/admin/blueprints/{blueprintKey}/apply
curl --request POST \
--url https://example.com/api/workspace/admin/blueprints/example/apply \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "IdempotencyKey": "example", "Parameters": { "additionalProperty": "example" }, "SelectedOptionalItemIds": [ "example" ], "ExpectedPlanHash": "example", "RuntimeMenuNavigation": { "Enabled": true, "RuntimeMenuId": "example" }, "DependencyResolutions": [ { "SlotKey": "example", "Mode": 0, "EntityDefinitionId": "example", "FieldMappings": { "additionalProperty": "example" } } ] }'
blueprintKey
required
string
access_token
string

Optional access token for clients that cannot set Authorization headers. Prefer Authorization: Bearer <token> when possible.

Request payload for Blueprint application.

object
IdempotencyKey
string
nullable
Parameters
object
key
additional properties
SelectedOptionalItemIds
Array<string>
nullable
ExpectedPlanHash
string
nullable
RuntimeMenuNavigation

Runtime-menu navigation selection for Blueprint plan and apply.

object
Enabled
boolean
nullable
RuntimeMenuId
string
nullable
DependencyResolutions
Array<object>
nullable

Resolution of one Blueprint dependency slot.

object
SlotKey
string
nullable
Mode
integer format: int32
Allowed values: 0
EntityDefinitionId
string
nullable
FieldMappings
object
key
additional properties
string

OK

Media typeapplication/json
object
Data

Status of a queued, running, or completed Blueprint application operation.

object
ApplicationId
string
nullable
BlueprintKey
string
nullable
BlueprintVersion
string
nullable
Status
integer format: int32
Allowed values: 0 1 2 3
ProgressPercent
integer format: int32
StageMessage
string
nullable
WorkerId
string
nullable
HeartbeatAt
string format: date-time
nullable
AttemptCount
integer format: int32
StartedAt
string format: date-time
nullable
CompletedAt
string format: date-time
nullable
Errors
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Result

Result returned after Blueprint apply or idempotent replay.

object
ApplicationId
string
nullable
BlueprintKey
string
nullable
BlueprintVersion
string
nullable
IdempotentReplay
boolean
PrimaryArtifactKind
string
nullable
PrimaryArtifactId
string
nullable
Artifacts
Array<object>
nullable

Artifact persisted in a Blueprint application record.

object
Kind
string
nullable
Id
string
nullable
Key
string
nullable
Name
string
nullable
Action
integer format: int32
Allowed values: 0 1 2
OpenTargets
Array<object>
nullable

Post-apply navigation target.

object
Key
string
nullable
Label
string
nullable
Kind
string
nullable
EntityDefinitionId
string
nullable
RecordMatchingProfileId
string
nullable
CatalogDefinitionId
string
nullable
PostApplyActions
Array<object>
nullable

Manual action recommended after a Blueprint application is completed.

object
Key
string
nullable
Title
string
nullable
Description
string
nullable
Required
boolean
DemoDataRecords
Array<object>
nullable

Runtime demo record created by a Blueprint application.

object
SeedSetId
string
nullable
EntityDefinitionId
string
nullable
EntityInstanceId
string
nullable
DisplayName
string
nullable
Errors
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Warnings
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Success
boolean
Example
{
"Data": {
"Status": 0,
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Result": {
"Artifacts": [
{
"Action": 0
}
]
}
},
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Warnings": [
{
"Type": 0,
"Severity": 0
}
]
}

Bad Request

Media typeapplication/json
object
Data

Status of a queued, running, or completed Blueprint application operation.

object
ApplicationId
string
nullable
BlueprintKey
string
nullable
BlueprintVersion
string
nullable
Status
integer format: int32
Allowed values: 0 1 2 3
ProgressPercent
integer format: int32
StageMessage
string
nullable
WorkerId
string
nullable
HeartbeatAt
string format: date-time
nullable
AttemptCount
integer format: int32
StartedAt
string format: date-time
nullable
CompletedAt
string format: date-time
nullable
Errors
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Result

Result returned after Blueprint apply or idempotent replay.

object
ApplicationId
string
nullable
BlueprintKey
string
nullable
BlueprintVersion
string
nullable
IdempotentReplay
boolean
PrimaryArtifactKind
string
nullable
PrimaryArtifactId
string
nullable
Artifacts
Array<object>
nullable

Artifact persisted in a Blueprint application record.

object
Kind
string
nullable
Id
string
nullable
Key
string
nullable
Name
string
nullable
Action
integer format: int32
Allowed values: 0 1 2
OpenTargets
Array<object>
nullable

Post-apply navigation target.

object
Key
string
nullable
Label
string
nullable
Kind
string
nullable
EntityDefinitionId
string
nullable
RecordMatchingProfileId
string
nullable
CatalogDefinitionId
string
nullable
PostApplyActions
Array<object>
nullable

Manual action recommended after a Blueprint application is completed.

object
Key
string
nullable
Title
string
nullable
Description
string
nullable
Required
boolean
DemoDataRecords
Array<object>
nullable

Runtime demo record created by a Blueprint application.

object
SeedSetId
string
nullable
EntityDefinitionId
string
nullable
EntityInstanceId
string
nullable
DisplayName
string
nullable
Errors
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Warnings
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Success
boolean
Example
{
"Data": {
"Status": 0,
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Result": {
"Artifacts": [
{
"Action": 0
}
]
}
},
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Warnings": [
{
"Type": 0,
"Severity": 0
}
]
}

Forbidden

Media typeapplication/json
object
type
string
nullable
title
string
nullable
status
integer format: int32
nullable
detail
string
nullable
instance
string
nullable
key
additional properties
Examplegenerated
{
"type": "example",
"title": "example",
"status": 1,
"detail": "example",
"instance": "example"
}

Not Found

Media typeapplication/json
object
Data

Status of a queued, running, or completed Blueprint application operation.

object
ApplicationId
string
nullable
BlueprintKey
string
nullable
BlueprintVersion
string
nullable
Status
integer format: int32
Allowed values: 0 1 2 3
ProgressPercent
integer format: int32
StageMessage
string
nullable
WorkerId
string
nullable
HeartbeatAt
string format: date-time
nullable
AttemptCount
integer format: int32
StartedAt
string format: date-time
nullable
CompletedAt
string format: date-time
nullable
Errors
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Result

Result returned after Blueprint apply or idempotent replay.

object
ApplicationId
string
nullable
BlueprintKey
string
nullable
BlueprintVersion
string
nullable
IdempotentReplay
boolean
PrimaryArtifactKind
string
nullable
PrimaryArtifactId
string
nullable
Artifacts
Array<object>
nullable

Artifact persisted in a Blueprint application record.

object
Kind
string
nullable
Id
string
nullable
Key
string
nullable
Name
string
nullable
Action
integer format: int32
Allowed values: 0 1 2
OpenTargets
Array<object>
nullable

Post-apply navigation target.

object
Key
string
nullable
Label
string
nullable
Kind
string
nullable
EntityDefinitionId
string
nullable
RecordMatchingProfileId
string
nullable
CatalogDefinitionId
string
nullable
PostApplyActions
Array<object>
nullable

Manual action recommended after a Blueprint application is completed.

object
Key
string
nullable
Title
string
nullable
Description
string
nullable
Required
boolean
DemoDataRecords
Array<object>
nullable

Runtime demo record created by a Blueprint application.

object
SeedSetId
string
nullable
EntityDefinitionId
string
nullable
EntityInstanceId
string
nullable
DisplayName
string
nullable
Errors
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Warnings
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Success
boolean
Example
{
"Data": {
"Status": 0,
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Result": {
"Artifacts": [
{
"Action": 0
}
]
}
},
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Warnings": [
{
"Type": 0,
"Severity": 0
}
]
}

Conflict

Media typeapplication/json
object
Data

Status of a queued, running, or completed Blueprint application operation.

object
ApplicationId
string
nullable
BlueprintKey
string
nullable
BlueprintVersion
string
nullable
Status
integer format: int32
Allowed values: 0 1 2 3
ProgressPercent
integer format: int32
StageMessage
string
nullable
WorkerId
string
nullable
HeartbeatAt
string format: date-time
nullable
AttemptCount
integer format: int32
StartedAt
string format: date-time
nullable
CompletedAt
string format: date-time
nullable
Errors
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Result

Result returned after Blueprint apply or idempotent replay.

object
ApplicationId
string
nullable
BlueprintKey
string
nullable
BlueprintVersion
string
nullable
IdempotentReplay
boolean
PrimaryArtifactKind
string
nullable
PrimaryArtifactId
string
nullable
Artifacts
Array<object>
nullable

Artifact persisted in a Blueprint application record.

object
Kind
string
nullable
Id
string
nullable
Key
string
nullable
Name
string
nullable
Action
integer format: int32
Allowed values: 0 1 2
OpenTargets
Array<object>
nullable

Post-apply navigation target.

object
Key
string
nullable
Label
string
nullable
Kind
string
nullable
EntityDefinitionId
string
nullable
RecordMatchingProfileId
string
nullable
CatalogDefinitionId
string
nullable
PostApplyActions
Array<object>
nullable

Manual action recommended after a Blueprint application is completed.

object
Key
string
nullable
Title
string
nullable
Description
string
nullable
Required
boolean
DemoDataRecords
Array<object>
nullable

Runtime demo record created by a Blueprint application.

object
SeedSetId
string
nullable
EntityDefinitionId
string
nullable
EntityInstanceId
string
nullable
DisplayName
string
nullable
Errors
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Warnings
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Success
boolean
Example
{
"Data": {
"Status": 0,
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Result": {
"Artifacts": [
{
"Action": 0
}
]
}
},
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Warnings": [
{
"Type": 0,
"Severity": 0
}
]
}